<?php
# Author: Eduard Laas
# Copyright © 2005 - 2017 SLAED
# License: GNU GPL 3
# Website: http://www.slaed.net

if (!defined("BLOCK_FILE")) {
	header("Location: ../index.php");
	exit;
}

global $prefix, $db;
$cont = '<div class="wrp grid_1_2">
		<div class="grid col-block">
			<h3 title="'._NEWS.'" class="font heading-1">Новости</h3>
			<ul class="ms-list">';
			$result = $db->sql_query("SELECT s.sid, s.catid, s.title, s.time, s.hometext, c.title, c.description FROM ".$prefix."_news AS s LEFT JOIN ".$prefix."_categories AS c ON (s.catid=c.id) WHERE time <= now() AND status!='0' ORDER BY time DESC LIMIT 3");
			while(list($sid, $catid, $title, $time, $hometext, $ctitle, $cdesc) = $db->sql_fetchrow($result)) {
				$linkstrip = cutstr($title, 45);
				if (preg_match("#\[attach=(.*?)\s(.*?)\]#si", $hometext, $match)) {
					$img = "uploads/news/thumb/".trim($match[1]);
				} else {
					preg_match("#\[img=(.*?)\](.*)\[/img\]#si", $hometext, $match);
					$img = isset($match[2]) ? trim($match[2]) : (isset($match[1]) ? trim($match[1]) : "");
				}
				$img = ($img) ? (file_exists($img) ? $img : img_find('logos/slaed_logo_60x60.png')) : img_find('logos/slaed_logo_60x60.png');
				$ntext = cutstr(htmlspecialchars(trim(strip_tags(bb_decode($hometext, "news"))), ENT_QUOTES), 60);
				$cont .= '<li><a href="index.php?name=news&amp;op=view&amp;id='.$sid.'" title="'.$title.'" class="ms-img" style="background-image: url('.$img.');"></a>
					<b><a href="index.php?name=news&amp;op=view&amp;id='.$sid.'" title="'.$title.'">'.$linkstrip.'</a></b>
					<p>'.$ntext .'</p>
					<ul class="grey">
						<li><a href="index.php?name=news&amp;cat='.$catid.'" title="'.$cdesc.'" class="sl_cat"><b>'.$ctitle.'</b></a></li>
						<li title="'._DATE.'" class="ico i_date">'.format_time($time, _TIMESTRING).'</li>
					</ul>
				</li>';
			}
			$cont .= '</ul>
			<a href="index.php?name=news" title="Все новости" class="sl_but_read">Все новости</a>
		</div>
		<div class="grid col-block">
			<h3 title="'._FILES.'" class="font heading-1">Файлы</h3>
			<ul class="ms-list">';
			$result = $db->sql_query("SELECT s.lid, s.cid, s.title, s.description, s.date, c.title, c.description FROM ".$prefix."_files AS s LEFT JOIN ".$prefix."_categories AS c ON (s.cid=c.id) WHERE date <= now() AND status!='0' ORDER BY date DESC LIMIT 3");
			while(list($sid, $catid, $title, $hometext, $time, $ctitle, $cdesc) = $db->sql_fetchrow($result)) {
				$linkstrip = cutstr($title, 45);
				if (preg_match("#\[attach=(.*?)\s(.*?)\]#si", $hometext, $match)) {
					$img = "uploads/files/thumb/".trim($match[1]);
				} else {
					preg_match("#\[img=(.*?)\](.*)\[/img\]#si", $hometext, $match);
					$img = isset($match[2]) ? trim($match[2]) : (isset($match[1]) ? trim($match[1]) : "");
				}
				$img = ($img) ? (file_exists($img) ? $img : img_find('logos/slaed_logo_60x60.png')) : img_find('logos/slaed_logo_60x60.png');
				$ntext = cutstr(htmlspecialchars(trim(strip_tags(bb_decode($hometext, "files"))), ENT_QUOTES), 60);
				$cont .= '<li><a href="index.php?name=files&amp;op=view&amp;id='.$sid.'" title="'.$title.'" class="ms-img" style="background-image: url('.$img.');"></a>
					<b><a href="index.php?name=files&amp;op=view&amp;id='.$sid.'" title="'.$title.'">'.$linkstrip.'</a></b>
					<p>'.$ntext .'</p>
					<ul class="grey">
						<li><a href="index.php?name=files&amp;cat='.$catid.'" title="'.$cdesc.'" class="sl_cat"><b>'.$ctitle.'</b></a></li>
						<li title="'._DATE.'" class="ico i_date">'.format_time($time, _TIMESTRING).'</li>
					</ul>
				</li>';
			}
			$cont .= '</ul>
			<a href="index.php?name=files" title="Все файлы" class="sl_but_read">Все файлы</a>
		</div>
	</div>';

$content = $cont;
?>